target=contrainte2 contrainte3 contrainte4
\author{Rgine, Mangeard}
\email{regine@mangeard.fr}
\format{html}

#if defined TARGET_contrainte2
#define TITRE Traduire deux contraintes
#endif
#if defined TARGET_contrainte3
#define TITRE Traduire trois contraintes
#endif
#if defined TARGET_contrainte4
#define TITRE Traduire quatre contraintes
#endif
\title{TITRE}
\text{dessin=
 xrange -1,10
 yrange -1,10
}
\text{axes=
 parallel -1,1,10,1,0,1,10,gray
 parallel 1,-1,1,10,1,0,10,gray
 arrow -1,0,10,0,10,black
 arrow 0,-1,0,10,10,black
 segment -0.2,1,0.2,1,black
 segment 1,-0.2,1,0.2,black
 text black,-0.5,1,medium,10
 text black,0.7,-0.3,medium,10
}
\text{color=red,blue,green,orange,purple}
\text{couleur=rouge,bleue,verte,orange,violette}
\text{indcol=shuffle(5)}
\text{lstsymb=>,<,=}

\integer{xmin=randint(1..5)}
\integer{xmax=\xmin+randint(1..3)}
\integer{k0=randint(1,2)}
\integer{ks0=randint(1,2)}
\integer{k4=randint(1,2)}
\integer{ks4=\k4=\k0?3-\ks0:randint(1,2)}
\integer{x0=\ks0=2?\xmax:\xmin}
\integer{x4=\ks0=2?\xmin:\xmax}
\integer{repx0=10*\x0}
\integer{repx4=10*\x4}

\text{coef=1,2,<,au double du,>, la moiti du,>,au double du,<, la moiti du
1,3,<,au triple du,>,au tiers du,>,au triple du,<,au tiers du
1,4,<,au quadruple du,>,au quart du,>,au quadruple du,<,au quart du
2,1,>,au double du,<, la moiti du,<,au double du,>,moiti du
3,1,>,au triple du,<,au tiers du,<,au triple du,>,au tiers du
4,1,>,au quadruple du,<,au quart du,<,au quadruple du,>,au quart du
1,1,<,au,>,au,>,au,<,au
}
\text{coef=1,2,<,1,>,1,>,1,<,1
1,3,<,2,>,2,>,2,<,2
1,4,<,3,>,3,>,3,<,3
2,1,>,1,<,1,<,1,>,1
3,1,>,2,<,2,<,2,>,2
4,1,>,3,<,3,<,3,>,3
1,1,>,4,<,4,<,4,>,4
}

\text{Produit1=Produit A,Produit B}
\text{Produit2=Produit B,Produit A}

\integer{k=randint(0,1)}
integer{k=1}
\text{lstpct=\k=0?au double du,au triple du,au quadruple du,au: la moiti du,au tiers du,au quart du,au}
\text{li=wims(makelist x for x=1 to 7)}
\text{li=shuffle(\li)}
\text{li=2,4,4,4,5,6,7}

## line 0 droite parallle aux axes
\text{line0=\k0=1? segment \x0,-1,\x0,10,\color[\indcol[1]]: segment -1,\x0,10,\x0,\color[\indcol[1]]
}

\if{\ks0=2}{
  \text{poly0=\k0=1?fpoly yellow,\x0,-1,\x0,10,10,10,10,-1:fpoly yellow,-1,\x0,10,\x0,10,10,-1,10}
}{
  \text{poly0=\k0=1?fpoly yellow,\x0,-1,\x0,10,-1,10,-1,-1:fpoly yellow,-1,\x0,10,\x0,10,-1,-1,-1}
}
\integer{rep0=\k0}
\integer{symb0=\ks0}

## line 4 droite parallle aux axes
\text{line4=\k4=1? segment \x4,-1,\x4,10,\color[\indcol[4]]: segment -1,\x4,10,\x4,\color[\indcol[4]]
}

\if{\ks4=2}{
  \text{poly4=\k4=1?fpoly yellow,\x4,-1,\x4,10,10,10,10,-1:fpoly yellow,-1,\x4,10,\x4,10,10,-1,10}
}{
  \text{poly4=\k4=1?fpoly yellow,\x4,-1,\x4,10,-1,10,-1,-1:fpoly yellow,-1,\x4,10,\x4,10,-1,-1,-1}
}
\integer{rep4=\k4}
\integer{symb4=\ks4}

## line1 droite linaire de pente positive
\text{q1=row(\li[1],\coef)}
\integer{a1=\q1[1]}
\integer{b1=\q1[2]}
\text{line1=plot \color[\indcol[2]],\a1/\b1*x}
\real{x11=\a1>\b1?10*\b1/\a1:10}
\real{y11=\a1>\b1?10:10*\a1/\b1}
\text{poly1=\a1>\b1?fpoly yellow,0,0,10,0,10,10,\x11,\y11:fpoly yellow,0,0,10,0,\x11,\y11}
\text{symb1=position(\q1[3+2*\k],\lstsymb)}
\text{pct1=\q1[4+2*\k]}

## line2: droite affine de pente ngative
\text{q2=row(\li[2],\coef)}
\integer{a2=\q2[1]}
\integer{b2=\q2[2]}
\integer{x2=randint(3..5)+\x0}
\real{y2=\a1*\x2/\b1}
\real{c2=\b2*\y2+\x2*\a2}
\text{line2= plot \color[\indcol[3]],\c2/\b2-\a2*x/\b2}
\real{borne=\c2/\b2-10*\a2/\b2}
\real{x21=\borne<-1?(\c2+\b2)/\a2:10}
\real{y21=\borne<-1?-1:\borne}
\real{y22=\c2/\b2+\a2/\b2}
\integer{a22=\a2*\b1}
\integer{b22=\b2*\b1}
\integer{c22=\c2*\b1}
\text{eq2=texmath(\a22*x+\b22*y=\c22)}
\text{poly2=\borne<-1?fpoly yellow,\x21,\y21,10,-1,10,10,-1,10,-1,\y22:fpoly yellow,\x21,\y21,10,10,-1,10,-1,\y22}
\text{symb2=position(\q2[5+2*\k],\lstsymb)}
\text{symb2=2}
\text{pct2=\q2[6+2*\k]}
\integer{i=randint(2..5)}
\integer{a23=\a2*\i}
\integer{b23=\b2*\i}
\real{c23=\c2*\i}

#if defined TARGET_contrainte2
\integer{nb=2}
\text{line2=}
\text{poly2=}
\text{line4=}
\text{poly4=}
#endif
#if defined TARGET_contrainte3
\integer{nb=3}
\text{line4=}
\text{poly4=}
#endif
#if defined TARGET_contrainte4
\integer{nb=4}
#endif

\text{dessin=\dessin
  fpoly yellow,-1,-1,-1,10,0,10,0,0,10,0,10,-1
 \poly0
 \poly1
 \poly2
 \poly4
 \axes
 linewidth 2
 \line0
 \line1
 \line2
 \line4
}

\statement{
<div class="wims_columns">
 <div class="medium_size img_col">
\draw{300,300}{\dessin}
</div>
 <div class="medium_size text_col">
 On a reprsent ci-contre un polygone d'acceptabilit pour \nb contraintes
  concernant une entreprise fabriquant
 des produits A (reprsents en abscisse) et des produits B (reprsents en ordonnes).
 <p>
  Exprimer la contrainte que reprsente chaque droite frontire du polygone.
 </p>
<ol>
<li> La droite \couleur[\indcol[1]] traduit la contrainte:<br>
 Le nombre de \embed{reply1} doit tre \embed{reply2} \embed{reply3,3}.</li>
#if defined TARGET_contrainte4
<li> La droite \couleur[\indcol[4]] traduit la contrainte:<br>
 Le nombre de \embed{reply9} doit tre \embed{reply10} \embed{reply11,3}.</li>
#endif
<li> La droite \couleur[\indcol[2]] traduit la contrainte:<br>
 Le nombre de \Produit1[\k+1] doit tre \embed{reply4} \embed{reply5} nombre de \Produit2[\k+1].</li>
#if (defined TARGET_contrainte3 || defined TARGET_contrainte4)
<li> La droite \couleur[\indcol[3]] a pour quation \(\eq2) et traduit une contrainte sur le total d'heures de fabrication des produits A et B:<br>
 Ce total doit tre \embed{reply6} \embed{reply7,3}.<br>
 La rpartition des heures de fabrication par unit de produit est:
<table class="wimscenter wimsborder"><tr><th>Produit A</th><th>Produit B</th></tr>
<tr><td><label for="reply8">\a23 h</label></td><td>\embed{reply8,3}h</td></tr></table>
</li>
#endif
</ol>
 </div></div>
}
\answer{ Question 0: produit}{\rep0;Produit A, Produit B}{type=menu}
\answer{ Question 0: symbole}{\symb0;suprieur,infrieur,gal}{type=menu}
\answer{ Question 0: borne}{\repx0}{type=numeric}
\answer{ Question 1: symbole}{\symb1;suprieur,infrieur,gal}{type=menu}
\answer{ Question 1: proportion}{\pct1;\lstpct}{type=menu}
#if (defined TARGET_contrainte3 || defined TARGET_contrainte4)
\answer{ Question 2: symbole}{\symb2;suprieur,infrieur,gal}{type=menu}
\answer{ Question 2: borne}{\c23}{type=numeric}
answer{ Question 2: heure Produit A}{\rep8}{type=numeric}
\answer{ Question 2: heure Produit B}{\b23}{type=numeric}
condition{Question2}{\reply7/\c2=\reply8/\a2 and \reply7/\c2=\reply9/\b2}
#endif
#if defined TARGET_contrainte4
\answer{ Question 4: produit}{\rep4;Produit A, Produit B}{type=menu}
\answer{ Question 4: symbole}{\symb4;suprieur,infrieur,gal}{type=menu}
\answer{ Question 4: borne}{\repx4}{type=numeric}
#endif
